Bug 688302 - 'Credentials have expired' notification shows when you have no credentials
'Credentials have expired' notification shows when you have no credentials
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog (Show other bugs)
15
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F15-accepted/F15FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2011-03-16 14:50 EDT by Adam Williamson
Modified: 2011-05-05 01:02 EDT (History)
6 users (show)

See Also:
Fixed In Version: krb5-auth-dialog-3.0.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-05 01:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2011-03-16 14:50:19 EDT
A few people running F15 noticed a 'Kerberos credentials have expired' notification popping up after recent updates. This happens on systems where no Kerberos login has ever been configured. This notification should probably not be displayed if the user has never attempted to set up Kerberos authentication.
Comment 1 Adam Williamson 2011-03-16 15:13:42 EDT
Jason Tibbitts notes that krb5-auth-dialog is in the base-x group in comps and set to 'default' in F14 and below, which means that just about everyone upgrading from F14 to F15 is going to see this bug. In F15 it's 'optional', so new installs should not see it.
Comment 2 Guido Günther 2011-04-08 04:02:31 EDT
Maybe starting krb5-auth-dialog with:

krb5-auth-dialog --auto

would be a saner default on fedora then?
Comment 3 Adam Williamson 2011-04-18 13:55:56 EDT
Proposing as final NTH, this is a polish issue.
Comment 4 Adam Williamson 2011-04-19 15:22:06 EDT
well, it's odd. the man page suggests that --auto should be the default behaviour, and the /etc/xdg/autostart/krb5-auth-dialog.desktop doesn't specify --always . so is there actually a bug in the app itself?
Comment 5 Adam Williamson 2011-04-19 15:33:59 EDT
CCing Matthias and Owen just to get a bit more visibility to this, as the real impact of it is on the polish of the Shell, and Itamar doesn't seem very responsive.
Comment 6 Adam Williamson 2011-04-19 15:52:53 EDT
I've filed an upstream bug on the apparently incorrect default behaviour:

https://bugzilla.gnome.org/show_bug.cgi?id=648242
Comment 7 James Laska 2011-04-21 15:59:38 EDT
Discussed at 2011-04-21 blocker review meeting (http://meetbot.fedoraproject.org/fedora-bugzappers/2011-04-21/f15-blocker-review.2011-04-21-17.00.html) ...

AGREED: 688302 - AcceptedNTH
Comment 8 Adam Williamson 2011-04-22 19:27:59 EDT
So, upstream responded to my report by changing the documentation: it seems --always is now the default (and doesn't exist as a parameter any more, in fact) and we should call krb5-auth-dialog with the --auto parameter to avoid this bug. See http://git.gnome.org/browse/krb5-auth-dialog/commit/?id=47736eaea5871d835eb951640b0baa5c350c4060 . I will provide a patch to make the appropriate change.
Comment 9 Fedora Update System 2011-04-25 19:13:50 EDT
krb5-auth-dialog-3.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/krb5-auth-dialog-3.0.1-1.fc15
Comment 10 Adam Williamson 2011-04-25 22:26:00 EDT
If you didn't patch the .desktop file, that update will not fix this bug. Upstream did not change the default behaviour, they only changed the documentation of it. The default behaviour is still to show the alert if no credentials are found, and you need to add --auto to the .desktop file to avoid this.
Comment 11 Fedora Update System 2011-04-26 11:34:19 EDT
Package krb5-auth-dialog-3.0.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing krb5-auth-dialog-3.0.1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/krb5-auth-dialog-3.0.1-1.fc15
then log in and leave karma (feedback).
Comment 12 Adam Williamson 2011-04-26 12:28:28 EDT
ah, looking at the git log, I see the .desktop file is patched. I'll test, but I expect this will fix the issue. thanks.
Comment 13 Matthias Clasen 2011-04-26 19:39:31 EDT
indeed, I did pay attention, and did add --auto to the autostart file
Comment 14 James Laska 2011-05-02 15:05:36 EDT
Reproduced reported bug, updated to krb5-auth-dialog-3.0.1-1.fc15, confirmed reported issue is fixed and --auto exists in the autostart file,
Comment 15 Fedora Update System 2011-05-05 01:02:10 EDT
krb5-auth-dialog-3.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.